Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045918
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSminorhave not tried2021-02-18 12:242021-03-05 14:05
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in VersionRR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045918: Offline<->Online Transitions Reimplementation

DescriptionReimplement the offline<->online transitions infrastructure to avoid using legacy technologies
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126168)
hgbot (developer)
2021-02-18 18:04

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/163 [^]
(0126383)
hgbot (developer)
2021-02-27 18:03

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/327 [^]
(0126499)
hgbot (developer)
2021-03-04 13:14

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/163 [^]
(0126500)
hgbot (developer)
2021-03-04 13:14

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 59e0d5edb148d43136aa6c37efcfa57d033828f7
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 2021-03-04T13:13:11+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/59e0d5edb148d43136aa6c37efcfa57d033828f7 [^]

Fixes ISSUE-45918: Offline<->Online Transitions Refactor

  MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/163 [^]

---
A web-test/integration/remote-server/BackendServer.test.js
A web-test/integration/remote-server/RemoteServer.test.js
A web-test/integration/remote-server/RemoteServerController.test.js
A web/org.openbravo.mobile.core/app/integration/remote-server/BackendServer.js
A web/org.openbravo.mobile.core/app/integration/remote-server/RemoteServer.js
A web/org.openbravo.mobile.core/app/integration/remote-server/RemoteServerAPI.js
A web/org.openbravo.mobile.core/app/integration/remote-server/RemoteServerController.js
A web/org.openbravo.mobile.core/app/view/ViewUtils.js
M src/org/openbravo/mobile/core/MobileCoreComponentProvider.java
M web-test/model/synchronization-buffer/SynchronizationBuffer.test.js
M web/org.openbravo.mobile.core/app/model/synchronization-buffer/BackendEndpoint.js
M web/org.openbravo.mobile.core/app/util/Security.js
M web/org.openbravo.mobile.core/app/util/network/Request.js
M web/org.openbravo.mobile.core/source/data/ob-requestrouter.js
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
M web/org.openbravo.mobile.core/source/utils/RequestResultListener.js
---
(0126501)
hgbot (developer)
2021-03-04 13:15

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: d2b7bc60d6a26c223cc4fa5a985f0a82b94089e6
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 2021-03-04T13:14:43+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/d2b7bc60d6a26c223cc4fa5a985f0a82b94089e6 [^]

Related to ISSUE-45918: Offline<->Online Transitions Refactor

  MR: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/327 [^]

---
A web-test/integration/remote-server/HardwareManagerServer.test.js
A web/org.openbravo.retail.posterminal/app/integration/remote-server/HardwareManagerServer.js
M src/org/openbravo/retail/posterminal/OBPOSComponentProvider.java
M web-test/external-device/ExternalDeviceController.test.js
M web-test/model/synchronization-buffer/HardwareManagerEndpoint.test.js
M web/org.openbravo.retail.posterminal/app/external-device/ExternalDeviceController.js
M web/org.openbravo.retail.posterminal/app/model/synchronization-buffer/HardwareManagerEndpoint.js
M web/org.openbravo.retail.posterminal/js/datasource.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0126502)
hgbot (developer)
2021-03-04 13:15

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/327 [^]
(0126526)
hgbot (developer)
2021-03-05 14:05

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: e9c05aa35aab60b6db62a22a40ed20bad9826a60
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 2021-03-05T14:03:09+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/e9c05aa35aab60b6db62a22a40ed20bad9826a60 [^]

Related to ISSUE-45918: send terminal status is not part of mobile.core

---
M web-test/integration/remote-server/BackendServer.test.js
M web/org.openbravo.mobile.core/app/integration/remote-server/BackendServer.js
---

- Issue History
Date Modified Username Field Change
2021-02-18 12:24 caristu New Issue
2021-02-18 12:24 caristu Assigned To => Retail
2021-02-18 12:24 caristu Triggers an Emergency Pack => No
2021-02-18 12:24 caristu Assigned To Retail => caristu
2021-02-18 18:04 hgbot Note Added: 0126168
2021-02-27 18:03 hgbot Note Added: 0126383
2021-03-04 13:14 hgbot Resolution open => fixed
2021-03-04 13:14 hgbot Status new => resolved
2021-03-04 13:14 hgbot Note Added: 0126499
2021-03-04 13:14 hgbot Fixed in Version => RR21Q2
2021-03-04 13:14 hgbot Note Added: 0126500
2021-03-04 13:15 hgbot Note Added: 0126501
2021-03-04 13:15 hgbot Note Added: 0126502
2021-03-04 13:16 caristu Review Assigned To => marvintm
2021-03-04 13:16 caristu Status resolved => closed
2021-03-05 14:05 hgbot Note Added: 0126526


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker